org.apache.cassandra.dht.tokenallocator

## Class TokenAllocatorBase<Unit>

- java.lang.Object
- - org.apache.cassandra.dht.tokenallocator.TokenAllocatorBase<Unit>

All Implemented Interfaces:
  TokenAllocator<Unit>

Direct Known Subclasses:
  NoReplicationTokenAllocator

    public abstract class TokenAllocatorBase<Unit>
    extends java.lang.Object
    implements TokenAllocator<Unit>

### Constructor Summary

Constructors
`protected` `TokenAllocatorBase(java.util.NavigableMap<Token,Unit> sortedTokens, org.apache.cassandra.dht.tokenallocator.ReplicationStrategy<Unit> strategy, IPartitioner partitioner)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected java.util.Map<Unit,org.apache.cassandra.dht.tokenallocator.TokenAllocatorBase.UnitInfo<Unit>>` `createUnitInfos(java.util.Map<java.lang.Object,org.apache.cassandra.dht.tokenallocator.TokenAllocatorBase.GroupInfo> groups)`
`abstract int` `getReplicas()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.dht.tokenallocator.TokenAllocator

`addUnit`

### Constructor Detail

#### TokenAllocatorBase

    protected TokenAllocatorBase(java.util.NavigableMap<Token,Unit> sortedTokens,
                                 org.apache.cassandra.dht.tokenallocator.ReplicationStrategy<Unit> strategy,
                                 IPartitioner partitioner)

### Method Detail

#### getReplicas

    public abstract int getReplicas()

#### createUnitInfos

    protected java.util.Map<Unit,org.apache.cassandra.dht.tokenallocator.TokenAllocatorBase.UnitInfo<Unit>> createUnitInfos(java.util.Map<java.lang.Object,org.apache.cassandra.dht.tokenallocator.TokenAllocatorBase.GroupInfo> groups)